| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Properties

# IG::Num::StructuredMeshGeometry2d< TCoord > Class Template Reference

Structured mesh geometry in 2 dimensions. More...

Inheritance diagram for IG::Num::StructuredMeshGeometry2d< TCoord >:
[legend]
Collaboration diagram for IG::Num::StructuredMeshGeometry2d< TCoord >:
[legend]

List of all members.

## Public Member Functions
| StructuredMeshGeometry2d ()
| Constructs a new empty 2D field (no elements contained) with no name and no description.
| StructuredMeshGeometry2d (int dim1, int dim2)
| Constructs a new 2D field with the specified dimensions, name and description. Table of elements is allocated. Elements of the field are arranged in a 2D structured grid.
| StructuredMeshGeometry2d (int dim1, int dim2, string fieldName)
| Constructs a new 2D field with the specified dimensions, name and description. Table of elements is allocated. Elements of the field are arranged in a 2D structured grid.
| StructuredMeshGeometry2d (int dim1, int dim2, string fieldName, string fieldDescription)
| Constructs a new 2D field with the specified dimensions, name and description. Table of elements is allocated. Elements of the field are arranged in a 2D structured grid.
## Properties
virtual TCoord[] | Coordinates`[get, set]`
| Array of coordinates.

## Detailed Description

### template<TCoord>
class IG::Num::StructuredMeshGeometry2d< TCoord >

Structured mesh geometry in 2 dimensions.

Template Parameters:

  TCoord | Type of coordinate vector used by the mesh.

$A Igor Jan08 Mar09 Oct10;

## Member Function Documentation

template<TCoord >

IG::Num::StructuredMeshGeometry2d< TCoord >::StructuredMeshGeometry2d | ( |  | ) | `[inline]`

Constructs a new empty 2D field (no elements contained) with no name and no description.

template<TCoord >

IG::Num::StructuredMeshGeometry2d< TCoord >::StructuredMeshGeometry2d | ( | int | dim1,
|  | int | dim2
| ) |  | `[inline]`

Constructs a new 2D field with the specified dimensions, name and description. Table of elements is allocated. Elements of the field are arranged in a 2D structured grid.

Parameters:

  dim1 | First dimension of the field (number of grid nodes in the first direction).
  dim2 | Second dimension of the field (number of grid nodes in the second direction).

template<TCoord >

IG::Num::StructuredMeshGeometry2d< TCoord >::StructuredMeshGeometry2d | ( | int | dim1,
|  | int | dim2,
|  | string | fieldName
| ) |  | `[inline]`

Constructs a new 2D field with the specified dimensions, name and description. Table of elements is allocated. Elements of the field are arranged in a 2D structured grid.

Parameters:

  dim1 | First dimension of the field (number of grid nodes in the first direction).
  dim2 | Second dimension of the field (number of grid nodes in the second direction).
  fieldName | Name of the field.

template<TCoord >

IG::Num::StructuredMeshGeometry2d< TCoord >::StructuredMeshGeometry2d | ( | int | dim1,
|  | int | dim2,
|  | string | fieldName,
|  | string | fieldDescription
| ) |  | `[inline]`

Constructs a new 2D field with the specified dimensions, name and description. Table of elements is allocated. Elements of the field are arranged in a 2D structured grid.

Parameters:

  dim1 | First dimension of the field (number of grid nodes in the first direction).
  dim2 | Second dimension of the field (number of grid nodes in the second direction).
  fieldName | Name of the field.
  fieldDescription | Field description.

## Property Documentation

template<TCoord >

virtual TCoord [] IG::Num::StructuredMeshGeometry2d< TCoord >::Coordinates`[get, set]`

Array of coordinates.

The documentation for this class was generated from the following file:

- StructuredField2dGeneric.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events